import { NgModule } from '@angular/core';
import { PreloadAllModules, RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  {
    path: '',
    loadChildren: () => import('./tabs/tabs.module').then(m => m.TabsPageModule)
  },
  {
    path: 'search',
    loadChildren: () => import('./search/search.module').then( m => m.SearchPageModule)
  },
  {
    path: 'loadup',
    loadChildren: () => import('./loadup/loadup.module').then( m => m.LoadupPageModule)
  },
  {
    path: 'edito',
    loadChildren: () => import('./edito/edito.module').then( m => m.EditoPageModule)
  },
  {
    path: 'message',
    loadChildren: () => import('./message/message.module').then( m => m.MessagePageModule)
  },
  {
    path: 'dingdan',
    loadChildren: () => import('./dingdan/dingdan.module').then( m => m.DingdanPageModule)
  },
  {
    path: 'chatter',
    loadChildren: () => import('./chatter/chatter.module').then( m => m.ChatterPageModule)
  },
  {
    path: 'modal-success',
    loadChildren: () => import('./modal-success/modal-success.module').then( m => m.ModalSuccessPageModule)
  }

];

@NgModule({
  imports: [
    RouterModule.forRoot(routes, { preloadingStrategy: PreloadAllModules })
  ],
  exports: [RouterModule]
})
export class AppRoutingModule {}
